Package com.smartgwt.client.types

# Enum TitleRotationMode

java.lang.Object
java.lang.Enum<TitleRotationMode>
com.smartgwt.client.types.TitleRotationMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<TitleRotationMode>`, `Constable`

public enum TitleRotationMode extends Enum<TitleRotationMode> implements ValueEnum
The different ways in which the `titleLabel` of a `DrawItem` can be rotated with the item.

NOTE: The effect of the `WITH_ITEM_ALWAYS_UP` and `WITH_LINE_ALWAYS_UP` settings is not affected by the global rotation, if any (see `DrawPane.rotation`).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NEVER_ROTATE`
  the `titleLabel` is never rotated with the item.
  `WITH_ITEM`
  the `titleLabel` is rotated exactly to match the item's rotation (see `DrawItem.rotation`).
  `WITH_ITEM_ALWAYS_UP`
  the `titleLabel` is rotated exactly to match the item's rotation, except that at certain rotations, the `titleLabel` is flipped by 180° so that the title text is never upside down.
  `WITH_LINE`
  (applies only to `DrawLine` and `DrawLinePath`) the `titleLabel` is rotated to match the line or center segment.
  `WITH_LINE_ALWAYS_UP`
  (applies only to `DrawLine` and `DrawLinePath`) the `titleLabel` is rotated to match the line or center segment, except that at certain rotations, the `titleLabel` is flipped by 180° so that the title text is never upside down.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static TitleRotationMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TitleRotationMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEVER_ROTATE

    public static final TitleRotationMode NEVER_ROTATE
    the `titleLabel` is never rotated with the item.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "neverRotate".

  - ### WITH_ITEM

    public static final TitleRotationMode WITH_ITEM
    the `titleLabel` is rotated exactly to match the item's rotation (see `DrawItem.rotation`).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "withItem".

  - ### WITH_ITEM_ALWAYS_UP

    public static final TitleRotationMode WITH_ITEM_ALWAYS_UP
    the `titleLabel` is rotated exactly to match the item's rotation, except that at certain rotations, the `titleLabel` is flipped by 180° so that the title text is never upside down.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "withItemAlwaysUp".

  - ### WITH_LINE

    public static final TitleRotationMode WITH_LINE
    (applies only to `DrawLine` and `DrawLinePath`) the `titleLabel` is rotated to match the line or center segment.

    If used on a `DrawItem` that is not a `DrawLine` or `DrawLinePath`, then the effect is the same as `WITH_ITEM`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "withLine".

  - ### WITH_LINE_ALWAYS_UP

    public static final TitleRotationMode WITH_LINE_ALWAYS_UP
    (applies only to `DrawLine` and `DrawLinePath`) the `titleLabel` is rotated to match the line or center segment, except that at certain rotations, the `titleLabel` is flipped by 180° so that the title text is never upside down.

    If used on a `DrawItem` that is not a `DrawLine` or `DrawLinePath`, then the effect is the same as `WITH_ITEM_ALWAYS_UP`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "withLineAlwaysUp".

- ## Method Details

  - ### values

    public static TitleRotationMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TitleRotationMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`